%if 0%{?el7}
%define dist .el7
%endif

%{!?_httpd_confdir: %{expand: %%global _httpd_confdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.modules.d}}
%{!?_httpd_moddir: %{expand: %%global _httpd_moddir %{_libdir}/httpd/modules}}

Name:		mod_mono
Version:	3.13
Release:	1%{?dist}
Summary:	Apache 2.0+ module that provides ASP.NET functionality.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.mono-project.com/
Source0:	http://download.mono-project.com/sources/mod_mono/%{name}-%{version}.tar.gz
Source1:    mod_mono.conf
Source2:    10-mod_mono.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: automake autoconf libtool
BuildRequires: httpd-devel
BuildRequires: gcc
Requires: httpd xsp

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Apache 2.0+ module that provides ASP.NET functionality.

%prep
%setup -q
autoreconf -ivf

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/mod_mono.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-mod_mono.conf
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_mono.conf
%else
cat %{SOURCE1} %{SOURCE2} > mod_mono.conf.tmp
install -D -m0644 mod_mono.conf.tmp $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_mono.conf
%endif
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf
mv -f man/ChangeLog ChangeLog.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* INSTALL NEWS README
%{!?_licensedir:%global license %%doc}
%license COPYING
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config %{_httpd_modconfdir}/10-mod_mono.conf
%endif
%config(noreplace) %{_httpd_confdir}/mod_mono.conf
%{_httpd_moddir}/mod_mono.so*
%{_mandir}/man8/mod_mono.8*

%changelog
* Sat Nov 24 2018 momo-i <webmaster@momo-i.org> - 3.13-1
- Update to 3.13

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.12-7
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.12-6
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 3.12-5
- Rebuilt for fc22

* Fri Oct 10 2014 momo-i <webmaster@momo-i.org> - 3.8-3
- Update to 3.8

* Mon Mar  3 2014 momo-i <webmaster@momo-i.org> - 2.10-3
- Fixed httpd24.patch

* Mon Mar  3 2014 momo-i <webmaster@momo-i.org> - 2.10-2
- Fixed require package

* Wed Feb 26 2014 momo-i <webmaster@momo-i.org> - 2.10-1
- Initial rpm release.
